#!/bin/bash

# Esercizio 2 Appello 21 Febbraio 2012
#versione con while read 

if [ $# -ne 3 ]; then
	echo "Errore! Istruzione: $0 [file] [dirA] [dirB]"
	exit 1
fi
if [ ! -f $1 ]; then
	echo "$1 non è un file!"
	exit 2
fi
if [ ! -d $2 ]; then
	echo "$2 non è una directory!"
	exit 2
fi
if [ ! -d $3 ]; then
	echo "$3 non è una directory!"
	exit 2
fi

while read doc h t
do

    if [ -f $2/$doc ]; then
	newFile=$(echo $doc | sed -e "s/\.txt/\_$h\_$t\.txt/g")
	if [ -f $3/$newFile ]; then
	    echo echo "File $newFile già esistente"
	else
	    head -n $h $2/$doc >> $3/$newFile
	    tail -n $t $2/$doc >> $3/$newFile
	fi
    else
	echo "$doc non presente in $2"
    fi
done < $1
echo "Script terminato!"
